Bug 118105 - An image in PDF imported using LO_IMPORT_USE_PDFIUM has artifacts after breaking
Summary: An image in PDF imported using LO_IMPORT_USE_PDFIUM has artifacts after breaking
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pdf
Depends on:
Blocks: PDF-Import-Draw PDF-Insert
  Show dependency treegraph
 
Reported: 2018-06-11 02:28 UTC by Mike Kaganski
Modified: 2021-08-09 02:41 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
A PDF to test (332.47 KB, application/pdf)
2018-06-11 02:28 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2018-06-11 02:28:03 UTC
Created attachment 142643 [details]
A PDF to test

The attached PDF, when imported using PDFium (into Draw), and then broken, shows artifacts in the raster image at the right side.

Steps:
0. Set LO_IMPORT_USE_PDFIUM variable and run cirrent master;
1. Import the PDF;
2. Right-click on the (absolutely correctly displayed) resulting whole-page picture, and choose "Break";
3. See that the right-side image now has a wrong black area in its top part (around "YOU editing..." and "ANNE editing..." flags).

Saving the image as PNG keeps the black area.
This is not reproducible when importing using poppler.

Tested with: Version: 6.2.0.0.alpha0+ (x64)
Build ID: 2f0263c76cacdb04a914cf7c72ea949bd62282ce
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: ru-RU (ru_RU); Calc: CL
Comment 1 V Stuart Foote 2018-06-11 04:00:01 UTC
Confirmed the black layer on new break of pdfium based import (Insert -> Image) on Windows 10 Pro 64-bit en-US with 
Version: 6.2.0.0.alpha0+ (x64)
Build ID: 812cae2f0b96c3d95d267b83727dd5a2114e611a
CPU threads: 8; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-06-10_07:50:04
Locale: en-US (en_US); Calc: group threaded

And with OpenGL rendering enabled, on break the fonts get strange replacements, but believe that to be bug 117936 related.
Comment 2 Ashod Nakashian 2018-06-12 13:59:43 UTC
Thanks for the report. Assigning to myself.

There are other known cases, as this feature (breaking) is not yet complete. It just supports all basic cases, but not all corner cases.
Comment 3 Xisco Faulí 2018-09-11 09:15:42 UTC
Dear Ashod Nakashian,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 4 QA Administrators 2019-09-12 02:51:21 UTC
Dear Mike Kaganski,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug